/*
-------------------------------------------------------------------------------
    This file is a part of the Vst Preset Generator
    Copyright (C) 2007  Francois Mazen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-------------------------------------------------------------------------------
  Name: vpglanguagechooser.h
  Author: Francois Mazen
  Date: 28/05/07 16:25
  Description: a simple dialog to choose the language of the software
-------------------------------------------------------------------------------
*/

#ifndef VPGLANGUAGECHOOSER_H
#define VPGLANGUAGECHOOSER_H



#include <QDialog>
#include <QMap>
#include <QStringList>

class QComboBox;
class QDialogButtonBox;
class QAbstractButton;
class QRadioButton;
class QLabel;
class QStringList;

class VpgLanguageChooser : public QDialog
 {
     Q_OBJECT

 public:
     VpgLanguageChooser(QWidget *parent = 0);
     QComboBox *cbLanguage;
     QStringList qmFiles;

 protected:
     QStringList findQmFiles();
     QString languageName(const QString &qmFile);
     QLabel *languageLabel;
     QDialogButtonBox *buttonBox;
     QAbstractButton *btnOk;
     QAbstractButton *btnCancel;
     QMap<QString, QString> qmFileMap;

 private slots:
     void setLanguage();
     void setCancel();


 };

#endif //VPGLANGUAGECHOOSER_H

